commit:     183c0a3a83a2f8ab0d7278b6d961733e108d9752
Author:     Matthew S. Turnbull <sparky <AT> bluefang-logic <DOT> com>
AuthorDate: Tue Dec 28 06:58:22 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Jan 21 17:14:55 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=183c0a3a

gnome-extra/cjs: 5.2.0 version bump

Add Python 3.10 support.

Bug: https://bugs.gentoo.org/831754
Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Matthew S. Turnbull <sparky <AT> bluefang-logic.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 gnome-extra/cjs/Manifest         |  1 +
 gnome-extra/cjs/cjs-5.2.0.ebuild | 77 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 78 insertions(+)

diff --git a/gnome-extra/cjs/Manifest b/gnome-extra/cjs/Manifest
index e1ed405bf2db..fc9f06a925ba 100644
--- a/gnome-extra/cjs/Manifest
+++ b/gnome-extra/cjs/Manifest
@@ -1 +1,2 @@
 DIST cjs-5.0.1.tar.gz 602005 BLAKE2B 
7592b5b0be8fed1efc9fe1c7baca081515b8010935e24ba0cb1e30ce78890941f5c3b2384ee3846a02c3ba5a50c6d6ce5df232f02507743cf15ac089e29d7f23
 SHA512 
a341e8deae33baf51ed21ea0b03484ba459d83be8689f3928acbd286ebe878719cdd6b4c576907b08b117b3c5738a11f95d0e37ae21f94ae6b88631fad5d3375
+DIST cjs-5.2.0.tar.gz 601982 BLAKE2B 
99fe183add425e5178863aa6b0af6aa0579de0dabee72ad9bcc86e2edf0ad13093ce659ac60ed365edb33ff1eb54d54766a7e0df1a65aa64b7da34e5559297c7
 SHA512 
0ce5cc07be036fa9af93c7d98a179881789f883578a2034c3c28255ef9da96d32b4203fc39311eaea0bdbe5148f13920d72dd24acb717c4e60302b390097a825

diff --git a/gnome-extra/cjs/cjs-5.2.0.ebuild b/gnome-extra/cjs/cjs-5.2.0.ebuild
new file mode 100644
index 000000000000..0cf34e53e088
--- /dev/null
+++ b/gnome-extra/cjs/cjs-5.2.0.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit meson pax-utils python-any-r1 virtualx
+
+DESCRIPTION="Linux Mint's fork of gjs for Cinnamon"
+HOMEPAGE="https://projects.linuxmint.com/cinnamon/ 
https://github.com/linuxmint/cjs";
+SRC_URI="https://github.com/linuxmint/cjs/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT || ( MPL-1.1 LGPL-2+ GPL-2+ )"
+SLOT="0"
+IUSE="+cairo examples gtk readline sysprof test"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+
+RDEPEND="
+       dev-lang/spidermonkey:78
+       >=dev-libs/glib-2.58.0:2
+       >=dev-libs/gobject-introspection-1.58.3:=
+       >=dev-libs/libffi-3.2.1:0=
+
+       cairo? ( x11-libs/cairo[glib,X] )
+       readline? ( sys-libs/readline:0= )
+"
+DEPEND="
+       ${RDEPEND}
+       sysprof? ( >=dev-util/sysprof-capture-3.40.1:4 )
+       test? (
+               sys-apps/dbus
+
+               gtk? ( x11-libs/gtk+:3[introspection] )
+       )
+"
+BDEPEND="
+       ${PYTHON_DEPS}
+       virtual/pkgconfig
+"
+
+PATCHES=(
+       "${FILESDIR}/cjs-5.0.1-meson-0.60.2.patch"
+)
+
+src_prepare() {
+       default
+       python_fix_shebang build
+}
+
+src_configure() {
+       local emesonargs=(
+               $(meson_feature cairo)
+               $(meson_feature readline)
+               $(meson_feature sysprof profiler)
+               -Dinstalled_tests=false
+               $(meson_use !test skip_dbus_tests)
+               $(meson_use !test skip_gtk_tests)
+       )
+       meson_src_configure
+}
+
+src_test() {
+       virtx meson_src_test
+}
+
+src_install() {
+       meson_src_install
+
+       if use examples; then
+               docinto examples
+               dodoc "${S}"/examples/*
+       fi
+
+       # Required for cjs-console to run correctly on PaX systems
+       pax-mark mr "${ED}/usr/bin/cjs-console"
+}

Reply via email to